Opera 11.11

Questions about applications and software
Forum rules
Before you post please read this

Opera 11.11

Postby am2605 on Mon Jun 20, 2011 1:05 am

Hi,

Bit of a newbie question here. I've noticed via the Software manager the latest version of opera is 10.62. I can install Opera 11.11 by downloading it, but is the best thing to do? What's the process by which new versions get in there? Are volunteers wanted / required? I am happy to assist if I can...

Andrew.
am2605
Level 1
Level 1
 
Posts: 21
Joined: Sun Jun 19, 2011 11:39 pm

Linux Mint is funded by ads and donations.
 

Re: Opera 11.11

Postby AdamS on Mon Jun 20, 2011 1:10 am

I use opera 11.11 as my main browser and just love it.

Stable and smooth, I give it two thumbs up.

So yes, it is safe.
Proud owner of a 99.5 % Linux based Pc - laptop - netbook - tablet - networking business.
Do your self a favor, stop paying for imperfection. Once you know Linux, you never go back.
User avatar
AdamS
Level 5
Level 5
 
Posts: 510
Joined: Sat May 28, 2011 10:47 pm
Location: Hinckley Utah USA

Re: Opera 11.11

Postby am2605 on Mon Jun 20, 2011 7:25 am

How did you install it?

If I try and install it from the .deb package, I get:

Code: Select all
amyers@mitford ~/Downloads $ sudo dpkg -i opera_11.11.2109_amd64.deb
[sudo] password for amyers:
Selecting previously deselected package opera.
(Reading database ... 137912 files and directories currently installed.)
Unpacking opera (from opera_11.11.2109_amd64.deb) ...
dpkg: dependency problems prevent configuration of opera:
 opera depends on ttf-liberation | ttf-mscorefonts-installer; however:
  Package ttf-liberation is not installed.
  Package ttf-mscorefonts-installer is not installed.
dpkg: error processing opera (--install):
 dependency problems - leaving unconfigured
Processing triggers for hicolor-icon-theme ...
Processing triggers for man-db ...
Processing triggers for shared-mime-info ...
Processing triggers for gnome-menus ...
Processing triggers for desktop-file-utils ...
Processing triggers for menu ...
Processing triggers for mintsystem ...
Errors were encountered while processing:
 opera


Do I just use apt-get to try and install the missing packages, and the nuse dpkg -i again? Or is there a better way?
am2605
Level 1
Level 1
 
Posts: 21
Joined: Sun Jun 19, 2011 11:39 pm

Re: Opera 11.11

Postby Terryphi on Mon Jun 20, 2011 9:10 am

Yes, install the missing packages (with apt-get or Synaptic) and then try installing Opera again.
Classic desktop for ever!
User avatar
Terryphi
Level 1
Level 1
 
Posts: 42
Joined: Mon Jun 06, 2011 6:30 am
Location: West Wales. UK

Re: Opera 11.11

Postby gavinhc on Mon Jun 20, 2011 9:22 am

I've had the most recent version of Opera installed as a backup browser (my primary browser is the Iceweasel betas) for a while now. I keep it up to date using Opera's official apt repository. I think that installing the deb from their website manually will add this stuff to your sources.list, but being able to do an "apt-get install opera" will pull in all the dependencies without needing to hunt them down yourself.
AMD Athlon II X4 630, 4 GB DDR3 RAM, Nvidia GeForce GT 430 - 64-bit LMDE (Gnome3) tracking testing, 64-bit Archlinux, 32-bit Windows XP
Aluminum Unibody MacBook - MacOS X 10.7 "Lion"
gavinhc
Level 2
Level 2
 
Posts: 82
Joined: Sat Oct 16, 2010 1:53 pm
Location: Canada

Re: Opera 11.11

Postby am2605 on Mon Jun 20, 2011 9:37 am

gavinhc wrote:I've had the most recent version of Opera installed as a backup browser (my primary browser is the Iceweasel betas) for a while now. I keep it up to date using Opera's official apt repository. I think that installing the deb from their website manually will add this stuff to your sources.list, but being able to do an "apt-get install opera" will pull in all the dependencies without needing to hunt them down yourself.


Wow, yes it does add that source . Nice! THanks for the info :)
am2605
Level 1
Level 1
 
Posts: 21
Joined: Sun Jun 19, 2011 11:39 pm

Re: Opera 11.11

Postby AdamS on Mon Jun 20, 2011 12:27 pm

I just downloaded the deb and used gdeb to install, it tends to fix dependencies on install.
Proud owner of a 99.5 % Linux based Pc - laptop - netbook - tablet - networking business.
Do your self a favor, stop paying for imperfection. Once you know Linux, you never go back.
User avatar
AdamS
Level 5
Level 5
 
Posts: 510
Joined: Sat May 28, 2011 10:47 pm
Location: Hinckley Utah USA

Re: Opera 11.11

Postby craigevil on Mon Jun 20, 2011 7:03 pm

Never have been able to bring myself to like Opera. But I do have it installed.


$ apt-cache policy opera
opera:
Installed: 11.50.1027
Candidate: 11.50.1027
Version table:
*** 11.50.1027 0
500 http://deb.opera.com/opera-beta/ stable/non-free i386 Packages
100 /var/lib/dpkg/status
Debian Sid KDE4.8.4 Kernel 3.4 Thinkpad R40 CPU Pentium M 1.3MHz RAM 2GB ATI Mobility 7500
Debian - "If you can't apt-get something, it isn't useful or doesn't exist"
Giant Debian sources.list | Debian upgrade script smxi | sysinfo script inxi
craigevil
Level 5
Level 5
 
Posts: 559
Joined: Wed Sep 15, 2010 6:10 am
Location: down the rabbit hole

Re: Opera 11.11

Postby am2605 on Mon Jun 20, 2011 8:38 pm

Gúrú Linux ríomhaire wrote:I just downloaded the deb and used gdeb to install, it tends to fix dependencies on install.


Nice tip. Thanks!
am2605
Level 1
Level 1
 
Posts: 21
Joined: Sun Jun 19, 2011 11:39 pm

Re: Opera 11.11

Postby craigevil on Wed Jun 22, 2011 5:30 pm

Or you can just use the appropriate Opera repo in your sources.list.

# Opera Web Browser Official packages. http://deb.opera.com/
# Secure APT - wget -O - http://deb.opera.com/archive.key | apt-key add -
# Opera Browser - Production release
#deb http://deb.opera.com/opera/ stable non-free
#deb http://deb.opera.com/opera/ testing non-free
#deb http://deb.opera.com/opera/ unstable non-free
# Opera Browser - Beta release
#deb http://deb.opera.com/opera-beta/ stable non-free
#deb http://deb.opera.com/opera-beta/ testing non-free
#deb http://deb.opera.com/opera-beta/ unstable non-free
Debian Sid KDE4.8.4 Kernel 3.4 Thinkpad R40 CPU Pentium M 1.3MHz RAM 2GB ATI Mobility 7500
Debian - "If you can't apt-get something, it isn't useful or doesn't exist"
Giant Debian sources.list | Debian upgrade script smxi | sysinfo script inxi
craigevil
Level 5
Level 5
 
Posts: 559
Joined: Wed Sep 15, 2010 6:10 am
Location: down the rabbit hole

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: TomRoche and 5 guests